function [output] = results (array_system_rn, array_line_rn, array_csu, array_time, L_array, M_array, n,testRunNo, requestsRejected)
	
	for i=1:1:n
		dx_time(i) = array_time(i);
		dy_system_rn(i) = array_system_rn(i);
		dy_line_rn(i) = array_line_rn(i);
		dy_csu(i) = array_csu(i);
        dy_queue_reject(i) = requestsRejected(i);
	end;
	
	%dy_system_rn = dy_system_rn;
	
	figure('Name','Количество требований в системе по времени');
	plot(dx_time, dy_system_rn);
	
	figure('Name','Количество требований в очереди по времени');
	plot(dx_time, dy_line_rn);
	
	figure('Name','Коэффициент использования системы по времени');
	plot(dx_time, dy_csu);
	
	figure('Name','Среднее по времени количество требований в системе');
	plot(dx_time, L_array);
	
	figure('Name','Среднее по времени количество требований в очереди');
	plot(dx_time, M_array);
    
    figure('Name','Среднее по времени количество отказов');
    plot(dx_time, dy_queue_reject);
    
 for i=1:6, % печатаем все фигуры
      eval(['print -dbitmap ' num2str(testRunNo) 'test_fig' num2str(i) '.bmp -f' num2str(i)]);
    end
    close all;